Bug 1288655 - Oracle Java unable to update to fix security issue
Oracle Java unable to update to fix security issue
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.7.0-oracle (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity urgent
: rc
: ---
Assigned To: Omair Majid
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 16:40 EST by Jeff Gustafson
Modified: 2015-12-11 10:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-11 10:41:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Gustafson 2015-12-04 16:40:05 EST
Description of problem:
I get a 404 error when trying to update Oracle Java. We need to update Java to the 91 release to fix a security issue.

Version-Release number of selected component (if applicable):
java-1.7.0-oracle-1.7.0.91-1jpp.1.el7_1.x86_64

How reproducible:
# yum update --enablerepo=\*oracle\* \*java-1.7.0\*oracle\*


Steps to Reproduce:
1. yum clean all
2. yum update --enablerepo=\*oracle\* \*java-1.7.0\*oracle\*

Actual results:
Downloading packages:
No Presto metadata available for rhel-7-server-eus-thirdparty-oracle-java-rpms
java-1.7.0-oracle-1.7.0.91-1jp FAILED                                          
https://cdn.redhat.com/content/eus/rhel/server/7/7Server/x86_64/oracle-java/os/Packages/java-1.7.0-oracle-1.7.0.91-1jpp.1.el7_1.x86_64.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.


Expected results:
The Oracle Java package gets updated to the 91 release.

Additional info:
I am also have this issue with the 1.8.0 release, though *some* of the files download.
Comment 1 Omair Majid 2015-12-07 10:33:59 EST
Please contact Red Hat support (https://access.redhat.com/support/). They should be able to help you get this sorted out.
Comment 2 Omair Majid 2015-12-11 10:41:57 EST
This isn't a bug, per se - at least not something I can fix.

There's either something wrong with our CDN or the account. In both cases, Red Hat Support (https://access.redhat.com/support/) should be in a better position to help with the issue.

Note You need to log in before you can comment on or make changes to this bug.